## org.eclipse.jet.compiler
Interface IJETCompilerState

Deprecated. Use `JETASTParser`

    public interface IJETCompilerState

Provides access to the JET compiler state. Saving the compiler state, and then passing it to a new instances of `JET2Compiler` will allow the compiler to do a correct incremental compilation.

Method Summary
`void` `addTemplate(java.lang.String templatePath, java.lang.String outputJavaClassName)` Deprecated. Add the template and fully qualified Java class name to the template map.
`void` `addTemplateTagLibraryReferences(java.lang.String templatePath, TagLibraryReference[] references)` Deprecated.
`void` `clear()` Deprecated. Clear the compiler state, returning it to its initial condition.
`java.lang.String[]` `getAllReferencedTagLibraryIds()` Deprecated.
`java.lang.String` `getTemplateFromClass(java.lang.String qualifiedName)` Deprecated. Return the project relative template name given a fully qualified class name.
`java.util.Map` `getTemplateMap()` Deprecated. Return a map of fully qualified Java class names keyed by project relative template path (as a string).
`void` `removeTemplate(java.lang.String templatePath)` Deprecated. Remove the template from the template map.
`void` `setProjectTagLibraryReferences(TagLibraryReference[] tagLibraryReferences)` Deprecated.

Method Detail

### getTemplateMap

    java.util.Map getTemplateMap()

  Deprecated.
  Return a map of fully qualified Java class names keyed by project relative template path (as a string).

  Returns:
    an unmodifiable map.

### addTemplate

    void addTemplate(java.lang.String templatePath,
                     java.lang.String outputJavaClassName)

  Deprecated.
  Add the template and fully qualified Java class name to the template map. This method is generally called by the compiler.

  Parameters:
    `templatePath` - the project relative template path.
    `outputJavaClassName` - the fully qualified class name of the compiled Java output.

### removeTemplate

    void removeTemplate(java.lang.String templatePath)

  Deprecated.
  Remove the template from the template map. If the template is not in the template map, then nothing happens.

  Parameters:
    `templatePath` - the project relative template path.

### clear

    void clear()

  Deprecated.
  Clear the compiler state, returning it to its initial condition.

### getTemplateFromClass

    java.lang.String getTemplateFromClass(java.lang.String qualifiedName)

  Deprecated.
  Return the project relative template name given a fully qualified class name.

  Parameters:
    `qualifiedName` - a fully qualified Java class name
  Returns:
    the corresponding template path, or `null`

### setProjectTagLibraryReferences

    void setProjectTagLibraryReferences(TagLibraryReference[] tagLibraryReferences)

  Deprecated.

### addTemplateTagLibraryReferences

    void addTemplateTagLibraryReferences(java.lang.String templatePath,
                                         TagLibraryReference[] references)

  Deprecated.

### getAllReferencedTagLibraryIds

    java.lang.String[] getAllReferencedTagLibraryIds()

  Deprecated.

Copyright 2006 IBM Corporation and others. All Rights Reserved.